Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.management.j2ee.cluster
Interface HAManagementServiceMBean

All Superinterfaces:
  org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Implementing Classes:
  HAManagementService

public interface HAManagementServiceMBean
extends org.jboss.system.ServiceMBean

MBean interface.

Field Summary

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`void` | `addNotificationListener(javax.management.ObjectName pBroadcaster, javax.management.ObjectName pListener, javax.management.NotificationFilter pFilter, Object pHandback)`
`javax.management.ObjectInstance` | `createMBean(String pClass, javax.management.ObjectName pName, Object[] pParameters, String[] pSignature)`
`Object` | `getAttribute(javax.management.ObjectName pName, String pAttribute)`
`javax.management.AttributeList` | `getAttributes(javax.management.ObjectName pName, String[] pAttributes)`
`String` | `getDefaultDomain()`
`javax.management.j2ee.ListenerRegistration` | `getListenerRegistry()`
`Integer` | `getMBeanCount()`
`javax.management.MBeanInfo` | `getMBeanInfo(javax.management.ObjectName pName)`
`Object` | `invoke(javax.management.ObjectName pName, String pOperationName, Object[] pParams, String[] pSignature)`
`boolean` | `isRegistered(javax.management.ObjectName pName)`
`Set` | `queryNames(javax.management.ObjectName pName, javax.management.QueryExp pQuery)`
`void` | `removeNotificationListener(javax.management.ObjectName pBroadcaster, javax.management.ObjectName pListener)`
`void` | `setAttribute(javax.management.ObjectName pName, javax.management.Attribute pAttribute)`
`javax.management.AttributeList` | `setAttributes(javax.management.ObjectName pName, javax.management.AttributeList pAttributes)`
`void` | `unregisterMBean(javax.management.ObjectName pName)`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Method Detail

### getAttribute

    public Object getAttribute(javax.management.ObjectName pName,
                               String pAttribute)
                        throws javax.management.MBeanException,
                               javax.management.AttributeNotFoundException,
                               javax.management.InstanceNotFoundException,
                               javax.management.ReflectionException,
                               RemoteException

  Throws:
    `javax.management.MBeanException`
    `javax.management.AttributeNotFoundException`
    `javax.management.InstanceNotFoundException`
    `javax.management.ReflectionException`
    `RemoteException`

### getAttributes

    public javax.management.AttributeList getAttributes(javax.management.ObjectName pName,
                                                        String[] pAttributes)
                                                 throws javax.management.InstanceNotFoundException,
                                                        javax.management.ReflectionException,
                                                        RemoteException

  Throws:
    `javax.management.InstanceNotFoundException`
    `javax.management.ReflectionException`
    `RemoteException`

### getDefaultDomain

    public String getDefaultDomain()
                            throws RemoteException

  Throws:
    `RemoteException`

### getMBeanCount

    public Integer getMBeanCount()
                          throws RemoteException

  Throws:
    `RemoteException`

### getMBeanInfo

    public javax.management.MBeanInfo getMBeanInfo(javax.management.ObjectName pName)
                                            throws javax.management.IntrospectionException,
                                                   javax.management.InstanceNotFoundException,
                                                   javax.management.ReflectionException,
                                                   RemoteException

  Throws:
    `javax.management.IntrospectionException`
    `javax.management.InstanceNotFoundException`
    `javax.management.ReflectionException`
    `RemoteException`

### getListenerRegistry

    public javax.management.j2ee.ListenerRegistration getListenerRegistry()
                                                                   throws RemoteException

  Throws:
    `RemoteException`

### invoke

    public Object invoke(javax.management.ObjectName pName,
                         String pOperationName,
                         Object[] pParams,
                         String[] pSignature)
                  throws javax.management.InstanceNotFoundException,
                         javax.management.MBeanException,
                         javax.management.ReflectionException,
                         RemoteException

  Throws:
    `javax.management.InstanceNotFoundException`
    `javax.management.MBeanException`
    `javax.management.ReflectionException`
    `RemoteException`

### isRegistered

    public boolean isRegistered(javax.management.ObjectName pName)
                         throws RemoteException

  Throws:
    `RemoteException`

### queryNames

    public Set queryNames(javax.management.ObjectName pName,
                          javax.management.QueryExp pQuery)
                   throws RemoteException

  Throws:
    `RemoteException`

### setAttribute

    public void setAttribute(javax.management.ObjectName pName,
                             javax.management.Attribute pAttribute)
                      throws javax.management.AttributeNotFoundException,
                             javax.management.InstanceNotFoundException,
                             javax.management.InvalidAttributeValueException,
                             javax.management.MBeanException,
                             javax.management.ReflectionException,
                             RemoteException

  Throws:
    `javax.management.AttributeNotFoundException`
    `javax.management.InstanceNotFoundException`
    `javax.management.InvalidAttributeValueException`
    `javax.management.MBeanException`
    `javax.management.ReflectionException`
    `RemoteException`

### setAttributes

    public javax.management.AttributeList setAttributes(javax.management.ObjectName pName,
                                                        javax.management.AttributeList pAttributes)
                                                 throws javax.management.InstanceNotFoundException,
                                                        javax.management.ReflectionException,
                                                        RemoteException

  Throws:
    `javax.management.InstanceNotFoundException`
    `javax.management.ReflectionException`
    `RemoteException`

### createMBean

    public javax.management.ObjectInstance createMBean(String pClass,
                                                       javax.management.ObjectName pName,
                                                       Object[] pParameters,
                                                       String[] pSignature)
                                                throws javax.management.InstanceAlreadyExistsException,
                                                       javax.management.MBeanException,
                                                       javax.management.MBeanRegistrationException,
                                                       javax.management.NotCompliantMBeanException,
                                                       javax.management.ReflectionException,
                                                       RemoteException

  Throws:
    `javax.management.InstanceAlreadyExistsException`
    `javax.management.MBeanException`
    `javax.management.MBeanRegistrationException`
    `javax.management.NotCompliantMBeanException`
    `javax.management.ReflectionException`
    `RemoteException`

### unregisterMBean

    public void unregisterMBean(javax.management.ObjectName pName)
                         throws javax.management.InstanceNotFoundException,
                                javax.management.MBeanRegistrationException,
                                RemoteException

  Throws:
    `javax.management.InstanceNotFoundException`
    `javax.management.MBeanRegistrationException`
    `RemoteException`

### addNotificationListener

    public void addNotificationListener(javax.management.ObjectName pBroadcaster,
                                        javax.management.ObjectName pListener,
                                        javax.management.NotificationFilter pFilter,
                                        Object pHandback)
                                 throws javax.management.InstanceNotFoundException,
                                        RemoteException

  Throws:
    `javax.management.InstanceNotFoundException`
    `RemoteException`

### removeNotificationListener

    public void removeNotificationListener(javax.management.ObjectName pBroadcaster,
                                           javax.management.ObjectName pListener)
                                    throws javax.management.InstanceNotFoundException,
                                           javax.management.ListenerNotFoundException,
                                           RemoteException

  Throws:
    `javax.management.InstanceNotFoundException`
    `javax.management.ListenerNotFoundException`
    `RemoteException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.